import "./tasks/arriba.wdl" as arriba

workflow {{ project_name }} {
    String sample_id
    File fastq1
    File fastq2
    File star_index_dir
    File assembly_fa
    File annotation_gtf

    String disk_size
    String arriba_docker
    String arriba_cluster


        call arriba.arriba as arriba {
                input:	
                sample_id=sample_id,
                fastq1=fastq1,
                fastq2=fastq2,
                star_index_dir=star_index_dir,
                assembly_fa=assembly_fa,
                annotation_gtf=annotation_gtf,
                disk_size=disk_size,
                docker=arriba_docker,
                cluster=arriba_cluster
        }


}	

