task arriba {
    String sample_id
    File fastq1
    File fastq2
    File star_index_dir
    File assembly_fa
    File annotation_gtf

    String disk_size
    String docker
    String cluster

    command <<<
	
        set -o pipefail
        set -e

        mkdir ./output/
        echo ${star_index_dir} > ./output/a.txt
        echo ${fastq1} >> ./output/a.txt
        echo ${fastq2} >> ./output/a.txt
        echo ${sample_id} >> ./output/a.txt
        echo ${assembly_fa} >> ./output/a.txt
        echo ${annotation_gtf} >> ./output/a.txt



    >>>
	
    runtime {
        docker: docker
        cluster: cluster
        systemDisk: "cloud_ssd 40"
        dataDisk: "cloud_ssd " + disk_size + " /cromwell_root/"
    }

    output {
        Array[File] arriba_result=glob("./output/*.txt")
    }

}


